Oolite Bulletins
http://www.aegidian.org/bb/

Oolite test release 1.72.2
http://www.aegidian.org/bb/viewtopic.php?f=9&t=5591
Page 1 of 1

Author:  JensAyton [ Sat Jan 17, 2009 8:46 pm ]
Post subject:  Oolite test release 1.72.2

Oolite test release 1.72.2 is now available from GURPO because BerliOS’s upload server is down. This is a bug-fix update to 1.72 and 1.72.1.

Changes between Oolite 1.72.1 and Oolite 1.72.2:
  • Fixed bug in selecting ships after a spawn condition blocked the initial selection. This was causing disappearing buoys and police ships with some OXPs.
  • Fixed a bug where by flooding the market when selling a ship, cargo remained on the newly acquired ship even if said ship had no cargo carry capability. Now, all cargo that cannot be sold when changing ships due to flooding the market will be lost.
  • Fixed an AI bug where a police ship that received a distress call while returning to the station could get stuck after dealing with the call.
  • Fixed a bug where defense ships launched by stations had a patrol AI instead of a combat AI.
  • Cloaking device mission now works again.
  • Background images in HUD are now affected by HUD alpha (and thus HUD hiding).
  • key_docking_clearance_request is now set in keyconfig.plist.
  • Possible fix for texture corruption bug on Windows machines with more than two processors.
  • Cargo pods added by scripts now have cargo.
  • Fixed a problem with JavaScript system property setup.
  • playerStartedJumpCountdown JS event is now always playerStartedJumpCountdown and never playerStartedJumpCountDown.
  • Improved various error messages.
Some people might have picked up the impression that I do all the work around here. The fact is that almost all the changes in 1.72.2 are due to another_commander, and almost all the AI fixes in the test releases are thanks to Eric Walch.

Additionally, this release was prepared by Getafix using Winston’s scripts. Let’s hope it works. :-)

Author:  DaddyHoggy [ Sun Jan 18, 2009 10:34 pm ]
Post subject: 

I was going to test it this weekend, but with the BB being down, I went off to do something else, and now its back up and now I don't have time to test!!! :( (but I will!)

Author:  DaddyHoggy [ Tue Jan 20, 2009 9:04 pm ]
Post subject: 

I've PM'ed Getafix - while the new packager is very pretty and I like it a lot it doesn't actually work once installed! I've sent Getafix the error report just in case I've done something wrong...

This is for info only - just in case anybody is wondering where the packager for Linux has gone.

Author:  Getafix [ Thu Jan 22, 2009 1:32 am ]
Post subject: 

I am over it. Thanks for the feedback, again.

Author:  wackyman465 [ Thu Jan 22, 2009 1:35 am ]
Post subject: 

Fetch me some magic potion! The Romans are at the gates! The sky will fall on my head tomorrow, but, as they say, tomorrow never comes!

Author:  JensAyton [ Sun Jan 25, 2009 8:27 pm ]
Post subject: 

A modified package (oolite-1.72.2.x86.v2.package) is now available. The previous package (oolite-1.72.2.x86.package) accidentally contained hardware-specific files. Anyone who installed the previous package should update to the new one, even if there are no obvious problems with the old one.

This applies only to the Linux binary release.

Author:  Wolfwood [ Sun Feb 01, 2009 1:39 pm ]
Post subject: 

Quote:
A modified package (oolite-1.72.2.x86.v2.package) is now available. The previous package (oolite-1.72.2.x86.package) accidentally contained hardware-specific files. Anyone who installed the previous package should update to the new one, even if there are no obvious problems with the old one.
Just trying to install Oolite on my Ubuntu for the first time (not satisfied with the 1.65 in the repositories). I downloaded the new .package file, but I have no idea what I should do with it... Any pointers?

Author:  Getafix [ Sun Feb 01, 2009 1:55 pm ]
Post subject: 

If you are running on 32bit Linux:
First uninstall Oolite 1.65.
Code:
apt-get remove --purge oolite oolite-data
Then open a terminal and go to the directory where the package is located and:
Code:
chmod +x ./oolite-1.72.2.x86.v2.package
./oolite-1.72.2.x86.v2.package
You should answer 'yes', to install the autopackage environment. You will be prompted a couple of times for your password.
Run oolite from Applications/Games/Oolite at your desktop menu.

If you are running 64bit Linux, you have to build from source, using the instructions in this post.

Author:  JensAyton [ Sun Feb 01, 2009 2:05 pm ]
Post subject: 

See http://aegidian.org/bb/viewtopic.php?p=66758

Author:  Wolfwood [ Sun Feb 01, 2009 3:52 pm ]
Post subject: 

Ah, so simple but so hard to notice! I thank thee! :)

Author:  Sky Surfer [ Fri Aug 07, 2009 6:22 am ]
Post subject: 

I have downloaded and installed the test release from BerliOS on Ubuntu 9.04 (not giving it root privileges). Can anyone tell me how to run it? It has not shown up on the menus.

Author:  DaddyHoggy [ Fri Aug 07, 2009 6:27 am ]
Post subject: 

Hmmm...

Firstly, Welcome!

As for your problem - I had this on 7.04 so I had to create a desktop icon that linked to and launched the Oolite BATCH file (which includes all the parameters Oolite needs to start properly). That seemed to work for me - I'm sure there's a better way than that, but that's what I did.

HTH?

Author:  Sky Surfer [ Fri Aug 07, 2009 12:17 pm ]
Post subject: 

Hmmm... I found it. I'm either blind or I needed to restart to get it on the menu.

Author:  DaddyHoggy [ Fri Aug 07, 2009 12:49 pm ]
Post subject: 

Quote:
Hmmm... I found it. I'm either blind or I needed to restart to get it on the menu.
Now you come to mention it - a restart is probably what I had to do when I installed the latest package under 7.10

Author:  Diziet Sma [ Fri Aug 07, 2009 2:20 pm ]
Post subject: 

You don't need to restart Linux for that.. all you need to do to get menus to update is to log out and back in again. Restarting accomplishes the same thing, but in a (by comparison) much more brutal way..

Page 1 of 1 All times are UTC
Powered by phpBB® Forum Software © phpBB Limited
https://www.phpbb.com/